%define	       internal 3
Name:          monodevelop-database
Version:       4.0.12
Release:       %mkrel 2
License:       MIT
BuildArch:     noarch
URL:           http://www.go-mono.com
Source0:       http://download.mono-project.com/sources/monodevelop-database/%{name}-%{version}-%{internal}.tar.bz2
BuildRequires: mono-devel
BuildRequires: monodevelop >= %version
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: mysql-connector-net-devel
BuildRequires: mono-addins-devel
Summary:       Monodevelop Database Addin
Group:         Development/Other

%description
Monodevelop Database Addin

%package devel
Summary:  Development files for MonoDevelop Database Add-in
Group:    Development/Other
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Database Add-in for MonoDevelop. Development package.

The %{name}-devel package contains development 
files for %{name}.

%prep
%setup -q
cp -f %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll contrib/MySql

%build
./configure --prefix=%_prefix
make

%install
rm -rf "%{buildroot}"
%makeinstall_std

mkdir -p %{buildroot}%_prefix/share/pkgconfig
for langdir in %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/*; do
echo "%lang($(basename $langdir)) $(echo $langdir |sed s!%buildroot!!)" >> %name.lang
done
#missed monodevelop addins
ln -sf %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/MySql.Data.dll

%files -f %name.lang
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.mdb
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/icons/
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/

%files devel
%_prefix/lib/pkgconfig/monodevelop-database.pc




%changelog
* Mon Oct 21 2013 umeabot <umeabot> 4.0.12-2.mga4
+ Revision: 537955
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 anaselli <anaselli> 4.0.12-1.mga4
+ Revision: 488072
- New version 4.0.12

* Sun Jul 14 2013 matteo <matteo> 4.0.9-1.mga4
+ Revision: 454357
- new version 4.0.9

  + fwang <fwang>
    - revert to 3.0.6

* Sat Jan 12 2013 umeabot <umeabot> 3.0.6-2.mga3
+ Revision: 360260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 anaselli <anaselli> 3.0.6-1.mga3
+ Revision: 343112
- New version 3.0.6

* Tue Jul 31 2012 matteo <matteo> 3.0.3.5-1.mga3
+ Revision: 276784
- new version

* Sat Jul 21 2012 matteo <matteo> 3.0.3.4-1.mga3
+ Revision: 273088
- new version

* Thu Jul 19 2012 matteo <matteo> 3.0.3.2-1.mga3
+ Revision: 272614
- new version

* Tue Apr 10 2012 anaselli <anaselli> 2.8.8.4-1.mga2
+ Revision: 230146
- new version 2.8.8.4

* Mon Feb 20 2012 anaselli <anaselli> 2.8.6.5-1.mga2
+ Revision: 211257
- New version 2.8.6.5

* Wed Feb 08 2012 matteo <matteo> 2.8.6.4-1.mga2
+ Revision: 206438
- new stable version

* Mon Feb 06 2012 matteo <matteo> 2.8.6.3-1.mga2
+ Revision: 205409
- new version

* Sun Jan 08 2012 anaselli <anaselli> 2.8.5.1-1.mga2
+ Revision: 193372
- new version 2.8.5.1

* Thu Dec 08 2011 anaselli <anaselli> 2.8.4.2-1.mga2
+ Revision: 179022
- New version 2.8.4.2

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-2.mga2
+ Revision: 162525
- Release bump, imported to mageia 1

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-1.mga2
+ Revision: 162098
- new version 2.8.2

* Thu Oct 13 2011 fwang <fwang> 2.8.1-1.mga2
+ Revision: 154195
- new version 2.8.1

* Sat Sep 17 2011 fwang <fwang> 2.6.0.1-1.mga2
+ Revision: 144611
- fix group
- new version 2.6.0.1

* Thu Jul 14 2011 anaselli <anaselli> 2.4-3.mga2
+ Revision: 124266
- Added missed line when imported

* Sun Jul 03 2011 anaselli <anaselli> 2.4-2.mga2
+ Revision: 117775
- Fix devel package

  + stblack <stblack>
    - imported package monodevelop-database


* Tue Oct 12 2010 Funda Wang <fwang@mandriva.org> 2.4-2mdv2011.0
+ Revision: 584990
- BR mono-addins
- rebuild

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2011.0
+ Revision: 550718
- new version
- update file list

* Thu Dec 31 2009 Götz Waschk <waschk@mandriva.org> 2.2-2mdv2010.1
+ Revision: 484422
- rebuild for new mysql connector

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2010.1
+ Revision: 478913
- update to new version 2.2

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 476489
- update to new version 2.1.2

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 464198
- update to new version 2.1.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 2.0-2mdv2010.0
+ Revision: 440065
- rebuild

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 362822
- new version

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2009.1
+ Revision: 356876
- update to new version 1.9.3

* Thu Feb 12 2009 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2009.1
+ Revision: 339831
- update to new version 1.9.2

* Mon Dec 01 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-2mdv2009.1
+ Revision: 308785
- rebuild for new mysql-connector-net

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2009.1
+ Revision: 306271
- update to new version 1.9.1
- update build deps

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.1
+ Revision: 293412
- new version
- fix build
- update file list
- bump deps
- update license

* Wed Jun 25 2008 Götz Waschk <waschk@mandriva.org> 1.0-3mdv2009.0
+ Revision: 228986
- fix dep on mysql binding as well
- make sure our packaged DLLs are used

* Wed Jun 25 2008 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2009.0
+ Revision: 228957
- remove bundled Mono.Data.Sqlite (fcrozat)

* Fri Mar 14 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2008.1
+ Revision: 187879
- new version
- bump deps

* Sat Feb 16 2008 Götz Waschk <waschk@mandriva.org> 0.19-1mdv2008.1
+ Revision: 169288
- fix buildrequires
- new version
- bump deps

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
+ Revision: 134803
- import monodevelop-database


* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
- initial package
